Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationLDAPServer

    public interface ConfigurationLDAPServer

This interface define the methods to manage LDAP server configuration.

Method Summary
`boolean` | `createNewRoleMap(java.lang.String filter, java.lang.String roleName)` Deprecated. This method is not effective since V8, replaced by createRoleMap().
`java.lang.String` | `createRoleMap(java.lang.String filter, java.lang.String roleName)` Adds a new role map to server.
`boolean` | `editRoleMap(java.lang.String roleMapName, java.lang.String filter, java.lang.String roleName)` Edits an existing role map by it's name.
`java.lang.String` | `getAdminGroup()` Returns admin group.
`java.util.Vector` | `getAllRoleMaps()` Gets all the role maps.
`void` | `getDefauleSettingValue(java.lang.String oldType)` Gets the default LDAP configuration.
`java.lang.String` | `getDirectoryManagerDN()` Returns the directory of manager distinguished name.
`int` | `getEncryptedPort()` Deprecated. This method is not effective since V6.
`java.lang.String` | `getEncryptionType()` Deprecated. This method is not effective since V6. It has been replaced by isEncryptionInLayer.
`java.lang.String` | `getGroupCommonName()` Returns group common name of attribute for LDAP.
`java.lang.String` | `getGroupDescriptions(java.lang.String groupName)` Checks Group and returns the group description.
`java.lang.String` | `getGroupDistinguishName()` Returns group distinguished name of attribute for LDAP.
`java.lang.String` | `getGroupFilter()` Returns the filter string for LDAP.
`java.lang.String` | `getGroupMemberType()` Returns the group member type for LDAP.
`java.util.Vector` | `getGroupNames()` Checks the group and returns the group name.
`java.lang.String` | `getGroupSAN()`
`java.lang.String` | `getImportGroupType()` Gets the principal LDAP group importing type.
`int` | `getLADPServerPort()` Returns LDAP server port.
`java.lang.String` | `getLDAPURL()` Returns LDAP URL.
`java.lang.String` | `getLDAPVersion()` Returns LDAP Version Number.
`java.lang.String` | `getPassword()` Returns password for LDAP.
`java.util.Hashtable` | `getProperties()` Gets all properties of LDAP setting.
`java.lang.String` | `getRoot()` Returns LDAP root.
`java.util.Vector` | `getRootUsers()` Returns root users.
`java.lang.String` | `getUserAttributeName()` Returns the userID name of attribute for LDAP.
`java.lang.String` | `getUserCommonName()` Returns the user common name of attribute for LDAP.
`java.lang.String` | `getUserDistinguishName()` Returns the user distinguished name of attribute for LDAP.
`java.lang.String` | `getUserFilter()` Returns the filter string for LDAP.
`java.lang.String` | `getUserFullNames(java.lang.String name)` Returns the user full name.
`java.util.Vector` | `getUserNames()` Returns the user information.
`java.lang.String` | `getUserPassword()` Returns the user password name of attribute for LDAP.
`java.lang.String` | `getUserSAN()`
`java.lang.String[]` | `getUseServerList()` Returns the list for server method name.
`boolean` | `isConnection()` Returns to check whether to connect with LDAP server.
`boolean` | `isConnection(java.util.Hashtable props)` Returns to check whether to connect with LDAP server.
`boolean` | `isEnableNoneImportedLDAPSupport()` Checks the server security system by using the LDAP providers.
`boolean` | `isEncryptionInLayer()` Returns whether to use secure sockets layer in TCP/IP when server communicates with LDAP server.
`boolean` | `isFirstUseLocal()` Deprecated. This method is not effective since V6.
`boolean` | `isGroupEnableSAN()`
`boolean` | `isImportUserUponAuthentication()` Returns if the user authentication is enabled.
`boolean` | `isLdapEnable()` Returns if LDAP is enabled.
`boolean` | `isUserEnableSAN()`
`java.util.Vector` | `queryGroups(java.util.Hashtable h)` Get the LDAP groups.
`java.util.Vector` | `queryUsers(java.util.Hashtable h)` Gets the LDAP users.
`boolean` | `removeRoleMap(java.lang.String roleMapName)` Removes a role map from the server.
`void` | `runAtServerRestart()` Deprecated. This method is not effective since V7.
`void` | `saveProperties()` Saves all properties of the LDAP setting into a file.
`void` | `setAdminGroup(java.lang.String adminGroup)` Sets admin group.
`void` | `setDirectoryManagerDN(java.lang.String directoryManagerDN)` Sets the directory of manager distinguished name.
`void` | `setEnableLDAPProviders(boolean isEnableLDAPProvers)` Sets if the server security system uses the LDAP providers.
`void` | `setEncryptedPort(int encryptedPort)` Deprecated. This method is not effective since V6.
`void` | `setEncryptedPort(java.lang.String encryptedPort)` Sets LDAP encrypted port.
`void` | `setEncryptionInLayer(boolean isEncrytion)` Sets whether to use secure sockets layer in TCP/IP when server communicates with LDAP server.
`void` | `setEncryptionType(java.lang.String encryptionType)` Deprecated. This method is not effective since V6. It has been replaced by setEncryptionInLayer(boolean isEncrytion).
`void` | `setFirstUseLocal(boolean firstUseLocal)` Deprecated. This method is not effective since V6.
`void` | `setGroupCommonName(java.lang.String groupCommonName)` Sets the group common name of attribute for LDAP.
`void` | `setGroupDistinguishName(java.lang.String distinguishName)` Sets group distinguished name of attribute for LDAP.
`void` | `setGroupEnableSAN(boolean groupEnableSAN)`
`void` | `setGroupFilter(java.lang.String filter)` Sets the filter string for LDAP.
`void` | `setGroupMemberType(java.lang.String groupMemberType)` Sets group member type for LDAP.
`void` | `setGroupSAN(java.lang.String groupSAN)`
`void` | `setImportGroupType(java.lang.String type)` Sets the importing LDAP group into server's role or group.
`void` | `setImportUserUponAuthentication(boolean isImport)` Sets whether to do the import upon authentication.
`void` | `setLADPServerPort(int LDAPPort)` Sets LDAP server port.
`void` | `setLdapEnable(boolean isEnable)` Sets whether to enable LDAP.
`void` | `setLDAPURL(java.lang.String LDAPUrl)` Sets LDAP URL.
`void` | `setLDAPVersion(java.lang.String LDAPVersion)` Sets LDAP Version Number.
`void` | `setPassword(java.lang.String password)` Sets password for LDAP.
`void` | `setRoot(java.lang.String root)` Sets LDAP root.
`void` | `setUserAttributeName(java.lang.String userAttributeName)` Sets the userID name of attribute for LDAP.
`void` | `setUserCommonName(java.lang.String userCommonName)` Sets the user common name of attribute for LDAP.
`void` | `setUserDistinguishName(java.lang.String distinguishName)` Sets the user distinguished name of attribute for LDAP.
`void` | `setUserEnableSAN(boolean userEnableSAN)`
`void` | `setUserFilter(java.lang.String filter)` Sets the filter string for LDAP.
`void` | `setUserPassword(java.lang.String password)` Sets the user password name of attribute for LDAP.
`void` | `setUserSAN(java.lang.String userSAN)`

Method Detail

### setLdapEnable

    void setLdapEnable(boolean isEnable)

  Sets whether to enable LDAP.

  Parameters:
    `isEnable` - whether to enable LDAP.

### isLdapEnable

    boolean isLdapEnable()

  Returns if LDAP is enabled.

  Returns:
    true if LDAP is enabled, otherwise return false.

### getLDAPVersion

    java.lang.String getLDAPVersion()

  Returns LDAP Version Number.

  Returns:
    2 indicates using LDAPv2, otherwise using LDAPv3.

### setLDAPVersion

    void setLDAPVersion(java.lang.String LDAPVersion)

  Sets LDAP Version Number.

  Parameters:
    `LDAPVersion` - it has two available values 2 and 3.

### setImportUserUponAuthentication

    void setImportUserUponAuthentication(boolean isImport)

  Sets whether to do the import upon authentication.

  Parameters:
    `isImport` - whether to import user when authentication is enabled.
  Since:
    server V7.0

### isImportUserUponAuthentication

    boolean isImportUserUponAuthentication()

  Returns if the user authentication is enabled.

  Returns:
    true if the user authentication is enabled, otherwise return false.
  Since:
    server V7.0

### setLDAPURL

    void setLDAPURL(java.lang.String LDAPUrl)

  Sets LDAP URL.

  Parameters:
    `LDAPUrl` - LDAP URL.

### getLDAPURL

    java.lang.String getLDAPURL()

  Returns LDAP URL.

  Returns:
    LDAP URL.

### setLADPServerPort

    void setLADPServerPort(int LDAPPort)

  Sets LDAP server port.

  Parameters:
    `LDAPPort` - LDAP server port.

### getLADPServerPort

    int getLADPServerPort()

  Returns LDAP server port.

  Returns:
    LDAP server port.

### setEncryptedPort

    void setEncryptedPort(int encryptedPort)

  Deprecated. This method is not effective since V6.

  Sets LDAP encrypted Port.

  Parameters:
    `encryptedPort` - encrypted Port.

### getEncryptedPort

    int getEncryptedPort()

  Deprecated. This method is not effective since V6.

  Returns LDAP encrypted port.

  Returns:
    LDAP encrypted port.

### setRoot

    void setRoot(java.lang.String root)

  Sets LDAP root.

  Parameters:
    `root` - LDAP root.

### getRoot

    java.lang.String getRoot()

  Returns LDAP root.

  Returns:
    LDAP root.

### setDirectoryManagerDN

    void setDirectoryManagerDN(java.lang.String directoryManagerDN)

  Sets the directory of manager distinguished name.

  Parameters:
    `directoryManagerDN` - the directory of manager distinguished name.

### getDirectoryManagerDN

    java.lang.String getDirectoryManagerDN()

  Returns the directory of manager distinguished name.

  Returns:
    the directory of manager distinguished name.

### setPassword

    void setPassword(java.lang.String password)

  Sets password for LDAP.

  Parameters:
    `password` - the password for LDAP.

### getPassword

    java.lang.String getPassword()

  Returns password for LDAP.

  Returns:
    password for LDAP.

### setEncryptionType

    void setEncryptionType(java.lang.String encryptionType)

  Deprecated. This method is not effective since V6. It has been replaced by setEncryptionInLayer(boolean isEncrytion).

  Sets encrypted type.

  Parameters:
    `encryptionType` - encrypted type.

### getEncryptionType

    java.lang.String getEncryptionType()

  Deprecated. This method is not effective since V6. It has been replaced by isEncryptionInLayer.

  Returns encrypted type.

  Returns:
    encrypted type.

### setEncryptionInLayer

    void setEncryptionInLayer(boolean isEncrytion)

  Sets whether to use secure sockets layer in TCP/IP when server communicates with LDAP server.

  Parameters:
    `isEncrytion` - it is set to true if SSL is used, otherwise set to false.

### isEncryptionInLayer

    boolean isEncryptionInLayer()

  Returns whether to use secure sockets layer in TCP/IP when server communicates with LDAP server.

  Returns:
    true if SSL is used, otherwise return false.

### setImportGroupType

    void setImportGroupType(java.lang.String type)

  Sets the importing LDAP group into server's role or group.

  Parameters:
    `type` - role or group.
  Since:
    Server V7.1

### getImportGroupType

    java.lang.String getImportGroupType()

  Gets the principal LDAP group importing type.

  Returns:
    role or group.
  Since:
    Server V7.1

### setFirstUseLocal

    void setFirstUseLocal(boolean firstUseLocal)

  Deprecated. This method is not effective since V6.

  Sets whether the user is from local or server.

  Parameters:
    `firstUseLocal` - if the user is from local.

### isFirstUseLocal

    boolean isFirstUseLocal()

  Deprecated. This method is not effective since V6.

  Returns whether the user is from local or server.

  Returns:
    true if the user is from local, return false if the user is from server.

### getUseServerList

    java.lang.String[] getUseServerList()

  Returns the list for server method name.

  Returns:
    the string array for server method name.

### isConnection

    boolean isConnection()

  Returns to check whether to connect with LDAP server.

  Returns:
    true if connected with LDAP server.

### isConnection

    boolean isConnection(java.util.Hashtable props)

  Returns to check whether to connect with LDAP server.

  Parameters:
    `props` - the properties of LDAP setting.
  Returns:
    true if connected with LDAP server.

### getRootUsers

    java.util.Vector getRootUsers()

  Returns root users.

  Returns:
    vector whose object is root user.

### setGroupCommonName

    void setGroupCommonName(java.lang.String groupCommonName)

  Sets the group common name of attribute for LDAP.

  Parameters:
    `groupCommonName` - the common name of attribute for LDAP.

### getGroupCommonName

    java.lang.String getGroupCommonName()

  Returns group common name of attribute for LDAP.

  Returns:
    group common name of attribute for LDAP.

### setGroupMemberType

    void setGroupMemberType(java.lang.String groupMemberType)

  Sets group member type for LDAP.

  Parameters:
    `groupMemberType` - the member type for LDAP.

### getGroupMemberType

    java.lang.String getGroupMemberType()

  Returns the group member type for LDAP.

  Returns:
    the group member type for LDAP.

### setGroupDistinguishName

    void setGroupDistinguishName(java.lang.String distinguishName)

  Sets group distinguished name of attribute for LDAP. This distinguished name is to distinguish user and group.

  Parameters:
    `distinguishName` - the group distinguished name of attribute for LDAP.

### getGroupDistinguishName

    java.lang.String getGroupDistinguishName()

  Returns group distinguished name of attribute for LDAP. This distinguish name is to distinguish user and group.

  Returns:
    group distinguished name of attribute for LDAP.

### setGroupFilter

    void setGroupFilter(java.lang.String filter)

  Sets the filter string for LDAP.

  Parameters:
    `filter` - the filter string for LDAP.

### getGroupFilter

    java.lang.String getGroupFilter()

  Returns the filter string for LDAP.

  Returns:
    the filter string for LDAP.

### setAdminGroup

    void setAdminGroup(java.lang.String adminGroup)

  Sets admin group.

  Parameters:
    `adminGroup` - admin group.

### getAdminGroup

    java.lang.String getAdminGroup()

  Returns admin group.

  Returns:
    admin group.

### getGroupNames

    java.util.Vector getGroupNames()

  Checks the group and returns the group name.

  Returns:
    vector which puts the group names.

### queryGroups

    java.util.Vector queryGroups(java.util.Hashtable h)

  Get the LDAP groups.

  Parameters:
    `h` - the LDAP configuration.
  Returns:
    the LDAP groups setting.

### getGroupDescriptions

    java.lang.String getGroupDescriptions(java.lang.String groupName)

  Checks Group and returns the group description.

  Returns:
    the string which is group description.

### setUserAttributeName

    void setUserAttributeName(java.lang.String userAttributeName)

  Sets the userID name of attribute for LDAP.

  Parameters:
    `userAttributeName` - the userID name of attribute for LDAP.

### getUserAttributeName

    java.lang.String getUserAttributeName()

  Returns the userID name of attribute for LDAP.

  Returns:
    the userID name of attribute for LDAP.

### setUserCommonName

    void setUserCommonName(java.lang.String userCommonName)

  Sets the user common name of attribute for LDAP.

  Parameters:
    `userCommonName` - the user common name of attribute for LDAP.

### getUserCommonName

    java.lang.String getUserCommonName()

  Returns the user common name of attribute for LDAP.

  Returns:
    the user common name of attribute for LDAP.

### setUserPassword

    void setUserPassword(java.lang.String password)

  Sets the user password name of attribute for LDAP.

  Parameters:
    `password` - the user password name of attribute for LDAP.

### getUserPassword

    java.lang.String getUserPassword()

  Returns the user password name of attribute for LDAP.

  Returns:
    the user password name of attribute for LDAP.

### setUserDistinguishName

    void setUserDistinguishName(java.lang.String distinguishName)

  Sets the user distinguished name of attribute for LDAP. This distinguished name is to distinguish user and group.

  Parameters:
    `distinguishName` - the user distinguished name of attribute for LDAP.

### getUserDistinguishName

    java.lang.String getUserDistinguishName()

  Returns the user distinguished name of attribute for LDAP. This distinguish name is to distinguish user and group.

  Returns:
    the user distinguished name of attribute for LDAP.

### setUserFilter

    void setUserFilter(java.lang.String filter)

  Sets the filter string for LDAP.

  Parameters:
    `filter` - the filter string for LDAP.

### getUserFilter

    java.lang.String getUserFilter()

  Returns the filter string for LDAP.

  Returns:
    the filter string for LDAP.

### getUserNames

    java.util.Vector getUserNames()

  Returns the user information.

  Returns:
    vector which puts users name.

### queryUsers

    java.util.Vector queryUsers(java.util.Hashtable h)

  Gets the LDAP users.

  Parameters:
    `h` - the LDAP configuration.
  Returns:
    the LDAP users setting.

### getUserFullNames

    java.lang.String getUserFullNames(java.lang.String name)

  Returns the user full name.

  Returns:
    String users full name.

### getDefauleSettingValue

    void getDefauleSettingValue(java.lang.String oldType)

  Gets the default LDAP configuration.

  Parameters:
    `oldType` - the LDAP Server type.

### getProperties

    java.util.Hashtable getProperties()

  Gets all properties of LDAP setting.

  Returns:
    all properties of LDAP setting.

### saveProperties

    void saveProperties()

  Saves all properties of the LDAP setting into a file.

### runAtServerRestart

    void runAtServerRestart()

  Deprecated. This method is not effective since V7.

### setEncryptedPort

    void setEncryptedPort(java.lang.String encryptedPort)

  Sets LDAP encrypted port.

  Parameters:
    `encryptedPort` - the encrypted port.

### createNewRoleMap

    boolean createNewRoleMap(java.lang.String filter,
                             java.lang.String roleName)
                             throws jet.server.jrc.security.ldap.RoleMapExistException

  Deprecated. This method is not effective since V8, replaced by createRoleMap().

  Adds a new role map to server.

  Parameters:
    `filter` - the role map's LDAP to search the filter string.
    `roleName` - the binding role name of the role map.
  Returns:
    true if it is successful added, otherwise return false.
  Throws:
    `jet.server.jrc.security.ldap.RoleMapExistException` - if there is this role map.
  Since:
    server V7.0

### createRoleMap

    java.lang.String createRoleMap(java.lang.String filter,
                                   java.lang.String roleName)
                                   throws jet.server.jrc.security.ldap.RoleMapExistException

  Adds a new role map to server.

  Parameters:
    `filter` - the role map's LDAP to search the filter string.
    `roleName` - the binding role name of the role map.
  Returns:
    the role map name if it is successfully added, otherwise return null.
  Throws:
    `jet.server.jrc.security.ldap.RoleMapExistException` - if there is this role map.
  Since:
    server V8

### removeRoleMap

    boolean removeRoleMap(java.lang.String roleMapName)
                          throws jet.server.jrc.security.ldap.NoSuchRoleMapException

  Removes a role map from the server.

  Parameters:
    `roleMapName` - the role map's server.
  Returns:
    null if it is added successfully, otherwise return error message.
  Throws:
    `jet.server.jrc.security.ldap.NoSuchRoleMapException` - if there is no this role map.
  Since:
    server V7.0

### editRoleMap

    boolean editRoleMap(java.lang.String roleMapName,
                        java.lang.String filter,
                        java.lang.String roleName)
                        throws jet.server.jrc.security.ldap.NoSuchRoleMapException

  Edits an existing role map by it's name.

  Parameters:
    `roleMapName` - the role map's name.
    `filter` - the role map's new filter.
    `roleName` - the role map's new binding role name.
  Returns:
    null if it is edited successfully, otherwise return error message.
  Throws:
    `jet.server.jrc.security.ldap.NoSuchRoleMapException` - if there is no this role map.
  Since:
    server V7.0

### getAllRoleMaps

    java.util.Vector getAllRoleMaps()

  Gets all the role maps.

  Returns:
    a vector that contains all the role maps.
  Since:
    server V7.0

### isEnableNoneImportedLDAPSupport

    boolean isEnableNoneImportedLDAPSupport()

  Checks the server security system by using the LDAP providers.

  Returns:
    true if the LDAP providers are used, otherwise return false.

### setEnableLDAPProviders

    void setEnableLDAPProviders(boolean isEnableLDAPProvers)

  Sets if the server security system uses the LDAP providers.

  Parameters:
    `isEnableLDAPProvers` - if the server security system uses the LDAP providers.

### setUserEnableSAN

    void setUserEnableSAN(boolean userEnableSAN)

### setUserSAN

    void setUserSAN(java.lang.String userSAN)

### setGroupEnableSAN

    void setGroupEnableSAN(boolean groupEnableSAN)

### setGroupSAN

    void setGroupSAN(java.lang.String groupSAN)

### isUserEnableSAN

    boolean isUserEnableSAN()

### getUserSAN

    java.lang.String getUserSAN()

### isGroupEnableSAN

    boolean isGroupEnableSAN()

### getGroupSAN

    java.lang.String getGroupSAN()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD